Bug 22497 - lprngtool crashes if no smbclient
lprngtool crashes if no smbclient
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-19 07:38 EST by Tim Waugh
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 16:13:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This seems to fix it. (397 bytes, patch)
2000-12-19 07:40 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2000-12-19 07:38:53 EST
(Hmm, doesn't seem to be an LPRngTool component in bugzilla..)

When samba is not installed, lprngtool crashes:

[root@cocobean /root]# lprngtool
open result was couldn't execute "/usr/bin/smbclient": no such file or
directoryError in startup script: called "popup_error_dialog" with too many
arguments
    while executing
"popup_error_dialog "
The Samba smbclient program does not appear to be installed.

You will not be able to print to a SMB/Windows 95/NT printer
witho..."
    (procedure "find_samba" line 9)
    invoked from within
"find_samba"
    (file "/usr/bin/lprngtool" line 5332)
Comment 1 Tim Waugh 2000-12-19 07:40:01 EST
Created attachment 6556 [details]
This seems to fix it.
Comment 2 Bernhard Rosenkraenzer 2001-01-11 06:44:00 EST
Wrong component, reassigning
Comment 3 Glen Foster 2001-01-11 16:13:14 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 4 Bernhard Rosenkraenzer 2001-01-22 11:02:00 EST
Fixed in 1.1.1-2

Note You need to log in before you can comment on or make changes to this bug.